Customer Communication
Customer communication endpoints
Authorization
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Creates a new customer communication ticket in Chargeflow.
The unique customer communication ticket identifier appears on the source from which the ticket originated.
length <= 128The unique Chargeflow account identifier to which the customer communication ticket belongs. (required for platforms only)
^[0-9a-fA-F]{24}$The unique Chargeflow dispute identifier to which the customer communication ticket belongs; the ticket can be linked to one or more disputes.
A list of messages associated with the customer communication ticket.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/customer-communication" \ -H "Content-Type: application/json" \ -d '{ "source_id": "ticket_87659876b", "disputes": [ "6684a99a2664656565656565", "66e6ea9ecd94925a558060d9" ], "messages": [ { "sender": "buyer", "date": "2025-09-10T14:25:36Z", "body_plain_text": "Hi, I placed my order 5 days ago and it still hasn\'t arrived. Can you please provide an update?" } ] }'{ "success": true}